"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const sf_plugins_core_1 = require("@salesforce/sf-plugins-core");
const core_1 = require("@salesforce/core");
const __1 = require("../..");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('plugin-switch-np', 'switch.retrieve');
class SwitchRetrieve extends sf_plugins_core_1.SfCommand {
    async run() {
        await (0, __1.execCmd)('sf org display user', { async: true });
        const { flags } = await this.parse(SwitchRetrieve);
        this.log(flags.package);
        await (0, __1.execCmd)(`sf project retrieve start --manifest ${flags.package}`, { async: true });
        setTimeout(() => {
            this.log('delay');
        }, 3000);
        await (0, __1.execCmd)('git add .', { async: true });
        return {
            path: '/Users/ngocphan/salesforce-plugins/plugin-switch/src/commands/switch/retrieve.ts',
        };
    }
}
exports.default = SwitchRetrieve;
SwitchRetrieve.summary = messages.getMessage('summary');
SwitchRetrieve.description = messages.getMessage('description');
SwitchRetrieve.examples = messages.getMessages('examples');
SwitchRetrieve.flags = {
    package: sf_plugins_core_1.Flags.string({
        summary: messages.getMessage('description'),
        char: 'x',
        required: true,
        exists: true,
    }),
};
SwitchRetrieve.requiresProject = true;
SwitchRetrieve.requiresUsername = true;
//# sourceMappingURL=retrieve.js.map